{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "#P#",
        "AGA",
        "#P#"
    ],
    "key": {
        "#": {
            "item": "alienevo:galvan_metal"
        },
        "P": {
            "item": "palladium:raw_titanium"
        },
        "A": {
            "item": "alienevo:upgrade_chip"
        },
        "G": {
            "item": "alienevo:smithing_template_galvan"
        }
    },
    "result": {
        "item": "omni_evo:omnitrix_ult_base",
        "count": 1
    }
}